FROM openshift/golang-builder@sha256:21aab8ec0f5d119e4f6dab12f7ad6a1cec15d5f9071ae0c7431be760f29d4c71 AS builder
ENV __doozer=update BUILD_RELEASE=202202120107.p0.ge0fa82c.assembly.stream BUILD_VERSION=v4.9.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=9 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.9.0-202202120107.p0.ge0fa82c.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=e0fa82c OS_GIT_VERSION=4.9.0-202202120107.p0.ge0fa82c.assembly.stream-e0fa82c SOURCE_DATE_EPOCH=1627314323 SOURCE_GIT_COMMIT=e0fa82ca4384de82827f6fbb39789451b9243b5f SOURCE_GIT_TAG=v0.5.0-rc.0-1638-ge0fa82ca SOURCE_GIT_URL=https://github.com/openshift/thanos 
WORKDIR /go/src/github.com/improbable-eng/thanos
COPY . .
ENV GOFLAGS="-mod=vendor"
ENV GO111MODULE=on
ENV GOPROXY=direct
# Installing using the upstream Makefile doesn't work with older versions of Git and newer versions of Go.
# Instead install promu from the upstream tarball.
# For downstream builds, promu is available from the package repositories.
RUN if ! yum install -y prometheus-promu; then \
        curl -s -L https://github.com/prometheus/promu/releases/download/v0.5.0/promu-0.5.0.linux-amd64.tar.gz | tar -xzvf - -C /usr/bin  --strip-components 1 promu-0.5.0.linux-amd64/promu; \
    fi; \
    promu build;
FROM openshift/ose-base:v4.9.0-202201261125.p0.gf93eca8.assembly.stream
ENV __doozer=update BUILD_RELEASE=202202120107.p0.ge0fa82c.assembly.stream BUILD_VERSION=v4.9.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=9 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.9.0-202202120107.p0.ge0fa82c.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=e0fa82c OS_GIT_VERSION=4.9.0-202202120107.p0.ge0fa82c.assembly.stream-e0fa82c SOURCE_DATE_EPOCH=1627314323 SOURCE_GIT_COMMIT=e0fa82ca4384de82827f6fbb39789451b9243b5f SOURCE_GIT_TAG=v0.5.0-rc.0-1638-ge0fa82ca SOURCE_GIT_URL=https://github.com/openshift/thanos 

COPY --from=builder /go/src/github.com/improbable-eng/thanos/thanos /bin/thanos

USER       nobody
ENTRYPOINT [ "/bin/thanos" ]

LABEL \
        io.k8s.display-name="OpenShift Thanos" \
        io.k8s.description="Highly available Prometheus setup with long term storage capabilities." \
        io.openshift.tags="prometheus,monitoring" \
        summary="Highly available Prometheus setup with long term storage capabilities." \
        maintainer="OpenShift Monitoring Team <team-monitoring@redhat.com>" \
        name="openshift/ose-thanos" \
        com.redhat.component="ose-thanos-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Monitoring" \
        release="202202120107.p0.ge0fa82c.assembly.stream" \
        io.openshift.build.commit.id="e0fa82ca4384de82827f6fbb39789451b9243b5f" \
        io.openshift.build.source-location="https://github.com/openshift/thanos" \
        io.openshift.build.commit.url="https://github.com/openshift/thanos/commit/e0fa82ca4384de82827f6fbb39789451b9243b5f" \
        version="v4.9.0"

